#ifndef LAYER2_TUNDEV_H
#define LAYER2_TUNDEV_H

#include <stdbool.h>
#include <stdint.h>
#include <stddef.h>

#include "results.h"

typedef bool (*tundev_read_callback_t)(uint8_t *packet, size_t len);

int tundev_open(char *dev);
result_t tundev_close(int tundev);

result_t tundev_read_loop(int tunfd, tundev_read_callback_t callback);

#endif // LAYER2_TUNDEV_H
