#ifndef VAR_ARRAY_H
#define VAR_ARRAY_H

#include <stdbool.h>
#include <stdlib.h>
#include <complex.h>

typedef struct
{
	float complex *symbols;
	size_t         used;
	size_t         allocated;
} var_array_cf_t;


bool var_array_cf_init(var_array_cf_t *array);
void var_array_cf_free(var_array_cf_t *array);

void var_array_cf_clear(var_array_cf_t *array);
bool var_array_cf_append(var_array_cf_t *array, float complex symbol);

#endif // VAR_ARRAY_H
